expose.h File Reference
`#include <core/trust/visibility.h>`
`#include <memory>`
`#include <string>`
Include dependency graph for expose.h:

Go to the source code of this file.

## Classes

class | core::trust::Token
| Opaque type describing the exposure of a store instance. More...

## Namespaces

| core
| core::dbus
| core::trust
| Contains functionality for implementing Ubuntu's trust model.

## Functions

CORE_TRUST_DLL_PUBLIC std::unique_ptr< Token > | core::trust::expose_store_to_bus_with_name (const std::shared_ptr< Store > &store, const std::shared_ptr< core::dbus::Bus > &bus, const std::string &name)
| Exposes an existing store instance on the given bus. More...
CORE_TRUST_DLL_PUBLIC std::unique_ptr< Token > | core::trust::expose_store_to_session_with_name (const std::shared_ptr< Store > &store, const std::string &name)
| Exposes an existing store instance with the current user session. More...